### Virtual Method

# EDataBook BookBackend impl_dup_view_contacts

#### Declaration [src]

    GPtrArray*
    impl_dup_view_contacts (
      EBookBackend* backend,
      gsize view_id,
      guint range_start,
      guint range_length
    )

#### Description [src]

Returns contacts in the given range of the sorted “manual query” view; default implementation tracks view’s connect and returns the contacts accordingly. Since: 3.50.

#### Parameters

`view_id`

  Type: `gsize`

  No description available.

`range_start`

  Type: `guint`

  No description available.

`range_length`

  Type: `guint`

  No description available.

#### Return value

Type: An array of `gpointer`

No description available.

The returned data is owned by the instance.